Package org.jboss.resteasy.core

## Class ResteasyContext

- java.lang.Object
- - org.jboss.resteasy.core.ResteasyContext

-     public final class ResteasyContext
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ResteasyContext.CloseableContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyContext()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResteasyContext.CloseableContext` | `addCloseableContextDataLevel()` |
    `static ResteasyContext.CloseableContext` | `addCloseableContextDataLevel​(Map<Class<?>,​Object> data)` |
    `static Map<Class<?>,​Object>` | `addContextDataLevel()` |
    `static void` | `clearContextData()` |
    `static <T> T` | `getContextData​(Class<T> type)` |
    `static int` | `getContextDataLevelCount()` |
    `static Map<Class<?>,​Object>` | `getContextDataMap()` |
    `static Map<Class<?>,​Object>` | `getContextDataMap​(boolean create)` |
    `static <T> T` | `popContextData​(Class<T> type)` |
    `static <T> void` | `pushContext​(Class<T> type, T data)` |
    `static void` | `pushContextDataMap​(Map<Class<?>,​Object> map)` |
    `static void` | `removeContextDataLevel()` |
    `static Object` | `searchContextData​(Object o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyContext

          public ResteasyContext()

  - ### Method Detail

    - #### pushContext

          public static <T> void pushContext​(Class<T> type,
                                             T data)

    - #### pushContextDataMap

          public static void pushContextDataMap​(Map<Class<?>,​Object> map)

    - #### getContextDataMap

          public static Map<Class<?>,​Object> getContextDataMap()

    - #### getContextData

          public static <T> T getContextData​(Class<T> type)

    - #### popContextData

          public static <T> T popContextData​(Class<T> type)

    - #### clearContextData

          public static void clearContextData()

    - #### getContextDataMap

          public static Map<Class<?>,​Object> getContextDataMap​(boolean create)

    - #### addContextDataLevel

          public static Map<Class<?>,​Object> addContextDataLevel()

    - #### addCloseableContextDataLevel

          public static ResteasyContext.CloseableContext addCloseableContextDataLevel()

    - #### addCloseableContextDataLevel

          public static ResteasyContext.CloseableContext addCloseableContextDataLevel​(Map<Class<?>,​Object> data)

    - #### getContextDataLevelCount

          public static int getContextDataLevelCount()

    - #### removeContextDataLevel

          public static void removeContextDataLevel()

    - #### searchContextData

          public static Object searchContextData​(Object o)